Skip to main content
Configuration

List line item templates

Returns a paginated list of the company's active price book line item templates.

GET
/configuration/line-item-templates
x-api-keystringheaderrequired

Company API key in the format: rotor_{keyId}_{keySecret}

To obtain an API key:

  1. Log into your Rotor dashboard
  2. Go to Settings → Integrations → API Keys
  3. Create a new key and select the scopes you need
  4. Copy the key — it's only shown once!
pageintegerquerydefault:1

Page number (1-based)

Required range: 1 <= x
Example: 1
limitintegerquerydefault:50

Number of results per page (max 1000)

Required range: 1 <= x <= 1000
Example: 50
rotor-api-versionenum<string>headerdefault:1.1.0required

Required OpenAPI version header.

Available options: 1.1.0
Example: 1.1.0

Response

application/json

Line item templates listed successfully

dataobject[]
paginationobject
statusstring
Example: success